> ## Documentation Index
> Fetch the complete documentation index at: https://docs.electronhub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Spend

> Spend and reservations in the current budget window of a policy.



## OpenAPI

````yaml GET /router/spend
openapi: 3.0.1
info:
  title: Electron Hub API
  description: >-
    Unified API platform integrating 200+ AI models for chat, image generation,
    speech-to-text, embeddings, and more.
  version: 1.0.0
  contact:
    name: Electron Hub Support
    email: support@electronhub.ai
    url: https://discord.com/invite/electronhub
  license:
    name: MIT
servers:
  - url: https://api.electronhub.ai/v1
    description: Production API v1
security:
  - bearerAuth: []
paths:
  /router/spend:
    get:
      tags:
        - Router
      summary: Get spend
      description: Spend and reservations in the current budget window of a policy.
      operationId: getRouterSpend
      parameters:
        - name: policy
          in: query
          schema:
            type: string
          description: Policy id. Defaults to the default policy.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
              example:
                policyId: work
                window: daily
                scope: routed
                periodKey: d2026-11-8
                spentUsd: 0
                reservedUsd: 0
                budgetUsd: 5
                remainingUsd: 5
        '403':
          description: Proxy keys cannot manage Router settings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  message: Only master keys can manage Router settings.
                  type: error
                  param: null
                  code: 403
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
            code:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your API key (starts with 'ek-')

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.